from axelrod.action import Action
from axelrod.player import Player
IIlllllIlll, llllllIllIllllllIl = Action.C, Action.D
class llllIllIIII(Player):
    lllIlIlIIlIIIIIIllIl = "strategy"
    IIIlIlIlIIlllIlll = {
        "memory_depth": 12,  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def __init__(IlIIllIllllllll) -> None:
        super().__init__()
        IlIIllIllllllll.llIIIIIlIIlIIIl = 10
        IlIIllIllllllll.lllllIIllIll = False
        IlIIllIllllllll.IIllIlIIIIlIlIlIIl = 0
    def IlIlIIIIlIIIlIIlllll(IlIIllIllllllll, IlllllIlIIIllII: Player) -> Action:
        if IlIIllIllllllll.IIllIlIIIIlIlIlIIl >= IlIIllIllllllll.llIIIIIlIIlIIIl:
            IlIIllIllllllll.IIllIlIIIIlIlIlIIl = 0
            IlIIllIllllllll.lllllIIllIll = False
        if len(IlllllIlIIIllII.history) < 2:
            return IIlllllIlll
        if IlIIllIllllllll.lllllIIllIll:
            IlIIllIllllllll.IIllIlIIIIlIlIlIIl += 1
            return llllllIllIllllllIl
        elif not (IIlllllIlll in IlllllIlIIIllII.history[-2:]):
            IlIIllIllllllll.lllllIIllIll = True
            return llllllIllIllllllIl
        return IIlllllIlll